# C/C++ development environment for SORACOM Orbit

## Development

See developer's guide for detail. Don't forget to click `Reopen in Container` when you launch the workspace going forward.

1. Open and edit [`src/main.cpp`](src/main.cpp) which is your C/C++ for SORACOM Orbit.
2. Run `make build` to build WASM module under `build/soralet.wasm`.
   - Open integrated terminal and run `make build`, or
   - Trigger **Run Build Task** from the VS Code **Command Palette** (<kbd>⇧⌘P</kbd>), or
   - <kbd>⇧⌘B</kbd>

Please note that you have to export `uplink()` and/or `downlink()` with `EMSCRIPTEN_KEEPALIVE` (which exports the function and prevents code from being inlined by the compiler) in your code.

```c
// For processing uplink (UE to SORACOM)
EMSCRIPTEN_KEEPALIVE
int32_t uplink()
{
    return 0;
}

// For processing downlink (SORACOM to UE)
EMSCRIPTEN_KEEPALIVE
int32_t downlink()
{
    return 0;
}
```

## Testing

No test at this moment.

## Deployment

1. Run `make release` to build optimized WASM module under `build/soralet-release.wasm`.
2. See developer's guide.
