# [TinyGo](https://tinygo.org/) development environment for SORACOM Orbit

## Development

See developer's guide for detail. Don't forget to click `Reopen in Container` when you launch the workspace going forward.

1. Open and edit [`src/main.go`](src/main.go) which is your TinyGo code for SORACOM Orbit.
2. Run `make build` to build WASM module under `build/soralet.wasm`.
   - Open integrated terminal and run `make build` / `make release-build`, or
   - Trigger **Run Build Task** from the VS Code **Command Palette** (<kbd>⇧⌘P</kbd>), or
   - <kbd>⇧⌘B</kbd>

Please note that you have to export `uplink()` and/or `downlink()` with `//export` annotation (NOTE: please don't insert any whitespace characters between a slash and `export`) in your code.

```go
// For processing uplink (UE to SORACOM)
//export uplink
func uplink() sdk.ErrorCode {
	return 0
}

// For processing downlink (SORACOM to UE)
//export downlink
func downlink() sdk.ErrorCode {
	return 0
}
```

